org.jenkinsci.constant_pool_scanner

## Class ConstantPool

- java.lang.Object
- - org.jenkinsci.constant_pool_scanner.ConstantPool

    public final class ConstantPool
    extends Object

Parsed constants.

Author:
  Kohsuke Kawaguchi

### Method Summary

Methods
`<T> Iterable<T>` `list(Class<T> type)` Lists up all the constants of the specified type (including subtypes if applicable.)
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### list

    public <T> Iterable<T> list(Class<T> type)

Lists up all the constants of the specified type (including subtypes if applicable.)

#### size

    public int size()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`